const duration = 5
drawShape()
animate()

//This animates the text along the given path
function animate(){
  gsap.from("#masterTextPath", duration, {
    attr: { startOffset: "100%" },
    ease: Power1.easeOut
	})
}

//This function adds a path to our svg that we'll later use to animate text along
function drawShape(){
  const rectPath = d3.path()
  rectPath.rect(0,0,40,100)
  const demo = d3.select("#demo")
  //Draw the path
  demo
    .append('path')
  	.attr('d',rectPath)
    .attr('id', 'master')
  	.attr("transform", "translate(20,20)")
    .attr('fill','none')
    .attr('stroke','#fff')
  //Append the text using an href link
  demo.append('text')
    .attr('id', 'mainText')
  	.attr('fill','#fff')
  	.append('textPath')
  		.attr('id', 'masterTextPath')
  		.attr('href', '#master')
  		// .attr('startOffset', '0%')
  		.text('served')
}